Drafting Doors in CAD

      Methods of drafting doors are discussed, in search of the most efficient. December 26, 2004

Question
I am learning CAD and was wondering how most of you like to draft your cabinet doors. Is it preferred to offset from the case opening the desired inset or overlay to establish the door perimeter then fillet to make door, or, say, use polyline and draft door then move into position? I was thinking of just offsetting from the cabinet opening to get dimensions. Then after fillet, is it possible to make multiple lines into a polyline, so I could make the perimeter of the door one solid line (without making it a block)? I know you can break lines, so I figure you can merge them as well..?

What do you do with the face frames behind the door on overlay doors? Break the lines and delete, so as not to be seen behind the doors? Break the lines and convert them to a "hidden" layer?

Forum Responses
(CNC Forum)
From contributor K:
Kudos for persevering on the learning curve (or maybe "vertical ascent?"). I am a stick drawing draftsman - no solid modeling or fancy stuff. I see the cabinet shop drawing as a communication tool, not a work of art.

In order to size my doors accurately, I start with the cabinet opening and offset for my inset or overlay. Then I trim the line of the frame/case where it is hidden by the door. When printing in 3/8 or 1/2 scale, the two lines would be too close together if you showed the hidden part of the frame as dashed. It is also extra work which does not show any useful information.

In the same vein, I use a single dashed line for shelves and dividers behind doors. For open cabinets, I show the actual thickness of these.



From contributor D:
I model them in 3D. This will automatically obscure the lines of the face frame beyond when the view port is set to hide on plot.

In AutoCAD 2004, there are new settings called obscured linetype. You can use this to show the face frame beyond as a dashed line if you want to.

All and all, I find working in 3D to be easier than 2D, but you still have to use those 2D skills to lay stuff out and cheat when it is the right thing to do, like when you do not have all the information you need.



From contributor J:
If you are working with slab doors, they are just rectangles. There are a couple of ways to work with rectangles. First, get familiar with the “From” command. I use this puppy all of the time.

When you control+ right click, it should bring up your snaps menu. These are all one shot commands, so you can have your snaps turned off and just initiate a one-time snap. This can be done in the middle of another command as well. The From command can be used for many tasks, but for this example we are going to look at rectangles.

Example: you have a rectangle that is X= 24” Y= 36” (x & y are your axis). Say you want the x dimension to be 36”. You can easily stretch the rectangle over 12”, but for this example we’ll use the From command.

Initiate the “Stretch” command and window the right side of the rectangle.
Select the bottom right corner of the rectangle as a base point.
Control + right click and select the From command.
Now click the bottom left corner and pull your mouse to the right.
Type in the total distance that you want: 36” Enter

Now, let's say that rectangle represents a door and you want another door to make a pair with 1/8” between them.
Use the “Copy” command.
Select the rectangle.
Pick the lower left corner as a base point.
Control + right click and select the From command.
Select the lower right corner of the original rectangle, pull the mouse to the right and type .125” Enter.
Now you should have two rectangles, 36x36, with 1/8” between them.

I use a lot of hot keys to speed things up. When I want to use the From command, I control + right click and type the letter “F” and hit the space bar. If I want a one time end point, I type “E” space bar. The underline letter on the menu will tell you what letter to hit.

Let’s look at making rectangles for doors:
Initiate the rectangle command: pick a point
Now type: @24,24 and hit enter
Now you have a rectangle 24”x24”
The at symbol means from the point you clicked
The first 24 is the X axis
The “,” separates X from Y
The second 24 is the Y axis

Since you typed positive numbers for the X & Y, the rectangle was drawn to the right of the point you picked and up from the point you picked. If you had entered @-24,-24 it would have drawn the rectangle to the left and down, being the negative direction from the point you clicked.

Now that we know we can draw a rectangle at any point we choose, let’s incorporate the From command and put a ¾” door on the face of a side section. The side section is of an upper cabinet and the door is the same height as the unit, 36”, and has 1/8” clearance between the back of the door and the face of the unit. The face of the unit is facing to the right on your screen.

Initiate the rectangle command. *Do not pick a point*
Control + right click and select the From command
Click the bottom point of the upper
Pull your mouse to the right and type .125, hit enter
This will be the bottom left corner of the door
Control + right click and select the from command
Click the top point of the unit
Pull your mouse to the right and type .875, hit enter
This is the top right corner of the door
You typed .875 because you needed to add the 1/8” clearance to the ¾”
Now you should have a ¾” door on the face of the upper with 1/8” clearance.
These are just basic examples; you will have to play with it for a while to get proficient

Using a block:
You can make a block of a side section door, say ¾”x 6” and choose the lower left corner as an insert point and save it in your template so it is always there.
Have it exploded automatically on insertion.
Use the From command to give it the correct insert location, then stretch it to the required height.

This method works but is less flexible due to a fixed insert point on the door. If your unit is facing to the left, you will have to calculate the door thickness + clearance to find the insert point.

The great thing about AutoCAD is “There is always more than one way to skin a cabinet.”

If you want, check out Quick Draw at JMHsoftware.com - it has some good tools for speeding up the drafting process.



From contributor A:
********************************************************************
File name: door.lsp
c:rdoor , to run type rdoor at the prompt. Example: Draw a rectangle.
48" wide 24" tall, turn your osnaps on.
Type rdoor at the prompt, pick the start point (the outside corner of your rectangle), then pick the mid-point of your rectangle. Do the same from the other side. You should have two doors 23.875" x 24" with reveals @ 1/16-1/8-1/16.
sdoor is the same but a slab door.
All lines are added to an unnamed group. Modify as you need.
********************************************************************
(defun c:rdoor (/ cnr1 cnr2 dl1 dl2 e entt ent1 ent2 pt1 ss1 tc tc_dst)
(setvar "CMDECHO" 0)
(setq cnr1 (getpoint "\nStart Point:")
cnr2 (getcorner cnr1 "Get Corner:")
SS1 (ssadd))
(if (< (car cnr1) (car cnr2))
(progn
(Setq cnr1 (list (+ (car cnr1) 0.0625) (cadr cnr1))
cnr2 (list (- (car cnr2) 0.0625) (cadr cnr2))))
(progn(Setq cnr1 (list (- (car cnr1) 0.0625) (cadr cnr1))
cnr2 (list (+ (car cnr2) 0.0625) (cadr cnr2)))))
(command "._RECTANGLE" "_none" cnr1 "_none" cnr2)
(setq ent1 (entget (entlast))
tc (angle cnr1 cnr2)
tc_dst (/ (DISTANCE cnr1 cnr2) 2)
pt1 (polar cnr1 tc tc_dst))
(ssadd (entlast) ss1)
(foreach e ent1
(if (= (car e) 10)
(setq dl1 (reverse (append(list e)dl1)))))
(command "offset" 0.25 (entlast) "_none" pt1 "")(ssadd (entlast) ss1)
(command "offset" 1.75 (entlast) "_none" pt1 "")(ssadd (entlast) ss1)
(command "offset" 0.25 (entlast) "_none" pt1 "")(ssadd (entlast) ss1)
(command "offset" 1.25 (entlast) "_none" pt1 "")(ssadd (entlast) ss1)
(setq ent2 (entget (entlast)))
(foreach e ent2
(if (= (car e) 10)
(setq dl2 (reverse (append(list e)dl2)))))
(command "._line" (cdr (nth 0 dl1)) (cdr (nth 0 dl2)) "")(ssadd (entlast) ss1)
(command "._line" (cdr (nth 1 dl1)) (cdr (nth 1 dl2)) "")(ssadd (entlast) ss1)
(command "._line" (cdr (nth 2 dl1)) (cdr (nth 2 dl2)) "")(ssadd (entlast) ss1)
(command "._line" (cdr (nth 3 dl1)) (cdr (nth 3 dl2)) "")
(ssadd (entlast) ss1)
(command "-group" "c" "*" "" ss1 "")
(princ))
(defun c:sdoor (/ cnr1 cnr2)
(setvar "CMDECHO" 0)
(setq cnr1 (getpoint "\nStart Point: ")
cnr2 (getcorner cnr1 "Get Corner"))
(if (< (car cnr1) (car cnr2))
(progn
(Setq cnr1 (list (+ (car cnr1) 0.0625) (cadr cnr1))
cnr2 (list (- (car cnr2) 0.0625) (cadr cnr2))))
(progn
(Setq cnr1 (list (- (car cnr1) 0.0625) (cadr cnr1))
cnr2 (list (+ (car cnr2) 0.0625) (cadr cnr2)))))
(command "._RECTANGLE" "_none" cnr1 "_none" cnr2)(princ)
)


From contributor R:
Contributor J, very clear advice. I either do it that way or just do a rectangle from the lower left corner of the case to the center of the case (elevation), then mirror. If it's a panel door, I just offset from the rectangle first. I normally don't worry about the 1/8" gap on the elevation for a 1/2" scale. Other than that, I've found the method you describe about as fast as it gets.


From contributor T:
Thanks, contributor A. Great tip! How do I get it to stay in Autocad when I open it next time?


From contributor A:
Just add the lisp file to your startup suite under tools -> Load application and you should be good to go.


From contributor L:
I might be a bit more mechanical when drawing doors, but I see an entire piece of furniture as just boxes with fancy moldings. So I have a file with all the styles of doors that I use, and it grows with each new style. I store just one quarter of a door in my file. I divide the cabinet that I have drawn into the amount of doors less the space between and put my insert point. I insert the quarter of a door to the upper left and trim to the center line x and y. Then I just mirror copy the image to the other quarters along the centerlines, then group the door and copy to each snap point and I'm done. This way, I draw just one door. Most jobs have equal doors, so this is pretty easy. It is just the size that changes, hence just a quarter to get the design started.

I find that dividing my cabinet into all of its center lines with snap points for all of my library parts makes for very fast drawings and I always have my centerlines on a separate layer in yellow only, so that they can be hidden with one move. I'm trying to get the CAD creator to bring back the command of trim by window, which was the fastest command we had back in the Dos days, but it's an uphill battle.

With all the doors grouped, I can exchange different styles of doors by just substituting the layers. Of course, that is only for those customers that can't make up their minds. Initially when I draw the quarter door, I put full detail to it so if I have to blow it up, I can and it will be an exact replica instead of just a rectangle with some lines on it. That's what I do like about the computer. The details are always full size so there is never any reason to draw a blow up. It is already fully detailed.



From contributor R:
Contributor L, I'm not sure, but could the "cookie cutter trim" command (ACAD 2000, Express tools) be similar to the window trim? It's a pretty cool command.

I like your system for doing panel doors. Have to give it a try. I've been (sometimes) using 12" x 12" door blocks, inserting, stretching then mirroring. It's a little clumsy.



From contributor L:
It is my understanding that Acad is to implement "sheets" for 2005. I just got advance notice of it. I can save my current CAD drawing as a .dwg with pretty good success. I have the best results with saving to your release 14 and vice versa. Acad 2004 is a handful to accommodate.

I have found that it is much easier and faster to copy and mirror copy something that I already have. It took a while to get used to doing mirror and mirror copy, but it is really fast once you get the hang of it. The secret is to get used to using centerlines and an insert point. Just like sheets. It has a learning curve, but once you get the hang of it, then it is awesome. Much better than layers. Sort of like a super layer.



From contributor R:
Autodesk is committed to having a new ACAD roll-out once a year, so you can look forward to re-learning where all the commands are once a year. This should generate a lot of money for Autodesk, as they seem to be heading toward locking each progression of ACAD out of the previous one. In 2005, it's my understanding that you have to go to Autodesk to get a confirmation code "a-la Windows" in order to complete the installation, which would cut down on the illegal copies, but where does it leave the guy who has three different installations? Anyway, I'm not going to upgrade until I absolutely have to. I'm thinking enough of "gilding the lily". I don't have time (or the brain power) to relearn the program every year. I'm perfectly happy with 2000. Haven't had time to learn 2004 yet.


From contributor L:
I have never been a fan of Aut To Cad but I have to try and keep in touch because 95% of all draftsmen use it. From what I have been told by users, you can easily bypass 2004 and wait with no problems. What I have learned with upgrades is to wait and learn how it shakes out first. Then decide whether or not the upgrade will work for you. I have heard that 2004 creates problems with other programs on your system. We don't need this. I am using many computer resources to keep all of these Windoze programs running in the background that have nothing to do with drafting. Myself and others kind of wish that we could go back to DOS, which was incredibly fast. Actually, I'm still hoping that this will happen.

Eventually, Microscoft wants all users to pay a fee yearly whether there is an upgrade or not. I might be making the switch in the future to Linux, but this seems to have some kinks in it too, and on top of all of this, the interior decorators want the old-fashioned hand drawings and I understand what they are saying. Scary.



From contributor M:
Have you looked into SketchUp for rendering? I'm not yet an AutoCAD user so I don't know how good the imports are, but they list .dxf files, and it is fast and can look hand drawn.

Would you like to add information to this article?
Interested in writing or submitting an article?
Have a question about this article?


Have you reviewed the related Knowledge Base areas below?
  • KnowledgeBase: Knowledge Base

  • KnowledgeBase: Computerization

  • KnowledgeBase: Computerization: CAD Computer Related Design

  • KnowledgeBase: Woodworking Miscellaneous


    Would you like to add information to this article? ... Click Here

    If you have a question regarding a Knowledge Base article, your best chance at uncovering an answer is to search the entire Knowledge Base for related articles or to post your question at the appropriate WOODWEB Forum. Before posting your message, be sure to
    review our Forum Guidelines.

    Questions entered in the Knowledge Base Article comment form will not generate responses! A list of WOODWEB Forums can be found at WOODWEB's Site Map.

    When you post your question at the Forum, be sure to include references to the Knowledge Base article that inspired your question. The more information you provide with your question, the better your chances are of receiving responses.

    Return to beginning of article.



    Refer a Friend || Read This Important Information || Site Map || Privacy Policy || Site User Agreement

    Letters, questions or comments? E-Mail us and let us know what you think. Be sure to review our Frequently Asked Questions page.

    Contact us to discuss advertising or to report problems with this site.

    To report a problem, send an e-mail to our Webmaster

    Copyright © 1996-2016 - WOODWEB ® Inc.
    All rights reserved. No part of this publication may be reproduced in any manner without permission of the Editor.
    Review WOODWEB's Copyright Policy.

    The editors, writers, and staff at WOODWEB try to promote safe practices. What is safe for one woodworker under certain conditions may not be safe for others in different circumstances. Readers should undertake the use of materials and methods discussed at WOODWEB after considerate evaluation, and at their own risk.

    WOODWEB, Inc.
    335 Bedell Road
    Montrose, PA 18801

    Contact WOODWEB











  • WOODWEB - the leading resource for professional woodworkers


      Home » Knowledge Base » Knowledge Base Article